%define	prefix /usr
%define	version
%define srcver	v3
Summary: Kanji Input Server for X11
Name: kinput2
Version: v3
Release: 3b
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
Group: Extensions/Japanese
Source: ftp://ftp.sra.co.jp/pub/x11/kinput2/kinput2-%{srcver}.tar.gz
Patch0: localhost:/kinput2-JRPM.patch
Patch1: localhost:/kinput2-crypt.patch
Patch2: localhost:/kinput2.copyright
Patch3: localhost:/kinput2-v3.macosx.patch
Copyright: distributable
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: /var/tmp/kinput2

%description
Kinput2ܸϤɬפȤXץꥱѤ
ϥСǤ

%prep
%setup -n kinput2-%{srcver}
%ifos darwin
%patch3 -p1
%endif

cp $RPM_SOURCE_DIR/kinput2.copyright Copyright

find . -name '*.orig' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/ccdef
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/man/man1


%build
xmkmf -a
make

%install
make install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* doc/* Copyright
%{prefix}/X11R6/lib/X11/ccdef
%{prefix}/X11R6/man/man1/kinput2.1*
%config %{prefix}/X11R6/lib/X11/app-defaults/Kinput2
%{prefix}/X11R6/bin/kinput2


%changelog
* Thu Oct 10 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.1

* Mon Apr 23 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X Release 10.0.01
